• Русский
  • AmlNamespace [manage.aml.dev/v1alpha1]

    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject
    statusobject

    .spec

    Type
    object
    PropertyTypeDescription
    configobject

    .spec.config

    Type
    object
    PropertyTypeDescription
    buildRegistryobject
    fromRegistryarray
    gitlabobject
    s3object

    .spec.config.buildRegistry

    Type
    object
    PropertyTypeDescription
    endpointstring
    secretNamestring
    secretNamespacestring

    .spec.config.fromRegistry

    Type
    array

    .spec.config.fromRegistry[]

    Type
    object
    PropertyTypeDescription
    endpointstring
    secretNamestring
    secretNamespacestring

    .spec.config.gitlab

    Type
    object
    PropertyTypeDescription
    endpointstring
    secretNamestring
    secretNamespacestring

    .spec.config.s3

    Type
    object
    PropertyTypeDescription
    endpointstring
    secretNamestring
    secretNamespacestring

    .status

    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces
      • DELETE: delete collection of AmlNamespace
      • GET: list objects of kind AmlNamespace
      • POST: create a new AmlNamespace
    • /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces/{name}
      • DELETE: delete the specified AmlNamespace
      • GET: read the specified AmlNamespace
      • PATCH: partially update the specified AmlNamespace
      • PUT: replace the specified AmlNamespace
    • /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces/{name}/status
      • GET: read status of the specified AmlNamespace
      • PATCH: partially update status of the specified AmlNamespace
      • PUT: replace status of the specified AmlNamespace

    /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces

    HTTP method
    DELETE
    Description
    delete collection of AmlNamespace
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind AmlNamespace
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespaceList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyAmlNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    201 - CreatedAmlNamespace schema
    202 - AcceptedAmlNamespace schema
    401 - UnauthorizedEmpty

    /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces/{name}

    HTTP method
    DELETE
    Description
    delete the specified AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified AmlNamespace
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyAmlNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    201 - CreatedAmlNamespace schema
    401 - UnauthorizedEmpty

    /apis/manage.aml.dev/v1alpha1/namespaces/{namespace}/amlnamespaces/{name}/status

    HTTP method
    GET
    Description
    read status of the specified AmlNamespace
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified AmlNamespace
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyAmlNamespace schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKAmlNamespace schema
    201 - CreatedAmlNamespace schema
    401 - UnauthorizedEmpty